## flatpak-kcm 5.27.2

=== debian/changelog ===
flatpak-kcm (5.27.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add flatpak as a dependency since the module crashes systemsettings
    when activated if flatpak is not installed (Closes: #1033286).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Mar 2023 19:17:01 +0100

flatpak-kcm (5.27.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport commit to populate list of permissions for applications
    (Closes: #1033039).
  * Add myself as uploader.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Mar 2023 21:15:52 +0100

flatpak-kcm (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * Update build-deps and deps with the info from cmake.
  * Disable failing tests.
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:58:50 +0100

flatpak-kcm (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:34 +0100

flatpak-kcm (5.26.90-1) unstable; urgency=medium

  [ Rik Mills ]
  * Initial release. (Closes: #1029531)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 22:31:43 +0100

## flatpak-kcm 5.27.3

=== debian/changelog ===
flatpak-kcm (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).
  * Drop patch to populate list of permissions for applications.

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:13:21 +0100

## flatpak-kcm 5.27.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Suhaas Joshi <joshiesuhaas0@gmail.com>
# SPDX-FileCopyrightText: 2023 ivan tkachenko <me@ratijas.tk>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(flatpakkcm)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")

add_definitions(-DTRANSLATION_DOMAIN="kcm_flatpak")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
set(KF_IGNORE_PLATFORM_CHECK ON)

find_package(PkgConfig REQUIRED)
pkg_check_modules(Flatpak REQUIRED IMPORTED_TARGET flatpak>=0.11.8)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    Svg
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    I18n
    KCMUtils
    Declarative
    Config
)

add_library(kcm_flatpak_static STATIC
    flatpakreference.cpp flatpakreference.h
    flatpakpermission.cpp flatpakpermission.h
    flatpakhelper.cpp flatpakhelper.h
    flatpakcommon.cpp flatpakcommon.h
)
set_property(TARGET kcm_flatpak_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcm_flatpak_static
    Qt::Core
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    KF5::QuickAddons
    PkgConfig::Flatpak
    Qt::DBus
)

add_library(kcm_flatpak MODULE
    kcm.cpp kcm.h
)
target_link_libraries(kcm_flatpak kcm_flatpak_static)

install(TARGETS kcm_flatpak DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings)

kpackage_install_package(package kcm_flatpak kcms)

kcmutils_generate_desktop_file(kcm_flatpak)

ki18n_install(po)

add_subdirectory(autotests)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

## flatpak-kcm 5.27.4

=== debian/changelog ===
flatpak-kcm (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)
  * Drop included upstream_fix-kde-bug-467399.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:04 +0100

flatpak-kcm (5.27.3-0ubuntu2) lunar; urgency=medium

  * Add upstream_fix-kde-bug-467399.patch to fix FTBFS on backport to
    kinetic and jammy.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Mar 2023 19:51:46 +0000

flatpak-kcm (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:29 +0000

flatpak-kcm (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:19 +0000

flatpak-kcm (5.27.1-0ubuntu2) lunar; urgency=medium

  * Disable build time tests.

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:57:10 +0000

flatpak-kcm (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:01 +0000

flatpak-kcm (5.27.0a-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)
  * Rename tarball due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:03 +0000

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               libconfig-dev,
               libflatpak-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-config,
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm

Package: kde-config-flatpak
Architecture: any
Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak permissions management KCM
 Plasma System Settings module for managinng Flatpak permissions.
 .
 The System Settings module allows users to changing what permissions have
 been granted to installed Flatpak applications.

## flatpak-kcm 5.27.5

=== debian/changelog ===
flatpak-kcm (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:39 +0200

flatpak-kcm (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:25:05 +0200

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               libconfig-dev,
               libflatpak-dev,
               libkf5config-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git

Package: kde-config-flatpak
Architecture: any
Depends: flatpak, systemsettings, ${misc:Depends}, ${shlibs:Depends},
Description: Flatpak permissions management KCM
 Plasma System Settings module for managinng Flatpak permissions.
 .
 The System Settings module allows users to changing what permissions have
 been granted to installed Flatpak applications.

## flatpak-kcm 5.27.7

=== debian/changelog ===
flatpak-kcm (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:54:13 +0200

## flatpak-kcm 5.27.8

=== debian/changelog ===
flatpak-kcm (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:36 +0100

flatpak-kcm (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 12:11:17 +0100

flatpak-kcm (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:13:48 +0100

flatpak-kcm (5.27.6-0ubuntu2) mantic; urgency=medium

  * Build depend on libkf5itemmodels-dev

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 18:56:58 +0100

flatpak-kcm (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:14 +0100

flatpak-kcm (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flatpak-kcm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -13,6 +14,7 @@
                libkf5config-dev (>= 5.102.0~),
                libkf5declarative-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
+               libkf5itemmodels-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.102.0~),
                libqt5svg5-dev (>= 5.15.2~),
                pkg-config,
@@ -23,8 +25,8 @@
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/flatpak-kcm
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
 
 Package: kde-config-flatpak
 Architecture: any

## flatpak-kcm 5.27.10

=== debian/changelog ===
flatpak-kcm (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:21:06 +0100

flatpak-kcm (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:53:20 +0200

flatpak-kcm (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flatpak-kcm
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -25,8 +24,8 @@
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/flatpak-kcm
 Rules-Requires-Root: no
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git
 
 Package: kde-config-flatpak
 Architecture: any

## flatpak-kcm 5.27.11

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING)
    return()
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test)
include(ECMAddTests)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_custom_target(generate_overrides
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/fixtures/overrides.in ${CMAKE_CURRENT_BINARY_DIR}/fixtures/overrides
)

ecm_add_test(flatpakpermissiontest.cpp
    TEST_NAME flatpakpermissiontest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kcm_flatpak_static)
set_tests_properties(flatpakpermissiontest PROPERTIES ENVIRONMENT "LANGUAGE=fr")
add_dependencies(flatpakpermissiontest generate_overrides)

ecm_add_test(FlatpakSimpleEntryTest.cpp
    TEST_NAME FlatpakSimpleEntryTest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kcm_flatpak_static)

ecm_add_test(flatpakfilesystemstest.cpp
    TEST_NAME flatpakfilesystemstest
    LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test kcm_flatpak_static)

=== debian/changelog ===
flatpak-kcm (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:13 +1100

flatpak-kcm (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:20:34 +0000

flatpak-kcm (5.27.10-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:23:57 +0000

flatpak-kcm (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:20:49 +0000

flatpak-kcm (5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:07:48 -0700

flatpak-kcm (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:41 +0000

flatpak-kcm (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:17:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flatpak-kcm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -16,7 +17,7 @@
                libkf5itemmodels-dev (>= 5.102.0~),
                libkf5kcmutils-dev (>= 5.102.0~),
                libqt5svg5-dev (>= 5.15.2~),
-               pkg-config,
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                xauth <!nocheck>,
@@ -24,8 +25,8 @@
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/flatpak-kcm
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
 
 Package: kde-config-flatpak
 Architecture: any

## flatpak-kcm 6.1.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Suhaas Joshi <joshiesuhaas0@gmail.com>
# SPDX-FileCopyrightText: 2023 ivan tkachenko <me@ratijas.tk>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

project(flatpakkcm)

set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_definitions(-DTRANSLATION_DOMAIN="kcm_flatpak")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(PkgConfig REQUIRED)
pkg_check_modules(Flatpak REQUIRED IMPORTED_TARGET flatpak>=0.11.8)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    Svg
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    I18n
    KCMUtils
    ItemModels
)

ecm_set_disabled_deprecation_versions(QT 6.5
    KF 5.240
)

# Can't use regular KDE_INSTALL_FULL_LOCALSTATEDIR because it is wrong in developer setup.
# This variable has to point at a directory which Flapak itself was configured with.
set(LOCALSTATEDIR "/var")
configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

add_library(kcm_flatpak_static STATIC
    flatpakreference.cpp flatpakreference.h
    flatpakpermission.cpp flatpakpermission.h
    flatpakhelper.cpp flatpakhelper.h
    flatpakcommon.cpp flatpakcommon.h
)
set_property(TARGET kcm_flatpak_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kcm_flatpak_static
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::I18n
    KF6::KCMUtilsQuick
    PkgConfig::Flatpak
    Qt::Core
)

kcmutils_add_qml_kcm(kcm_flatpak SOURCES kcm.cpp kcm.h)

target_link_libraries(kcm_flatpak PRIVATE kcm_flatpak_static)

ki18n_install(po)

add_subdirectory(autotests)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
flatpak-kcm (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:57:58 +0100

flatpak-kcm (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:10 +0100

flatpak-kcm (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:07 +0200

flatpak-kcm (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:42:52 +0200

flatpak-kcm (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:19:29 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,23 @@
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
-               extra-cmake-modules (>= 5.102.0~),
+               dh-sequence-kf6,
+               extra-cmake-modules (>= 6.2.0~),
                libconfig-dev,
                libflatpak-dev,
-               libkf5config-dev (>= 5.102.0~),
-               libkf5declarative-dev (>= 5.102.0~),
-               libkf5i18n-dev (>= 5.102.0~),
-               libkf5itemmodels-dev (>= 5.102.0~),
-               libkf5kcmutils-dev (>= 5.102.0~),
-               libqt5svg5-dev (>= 5.15.2~),
+               libkf6config-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.2.0~),
+               libkf6i18n-dev (>= 6.2.0~),
+               libkf6itemmodels-dev (>= 6.2.0~),
+               libkf6kcmutils-dev (>= 6.2.0~),
+               libxkbcommon-dev,
                pkgconf,
-               qtbase5-dev (>= 5.15.2~),
-               qtdeclarative5-dev (>= 5.15.2~),
+               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qt6-svg-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/flatpak-kcm
 Rules-Requires-Root: no
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm

## flatpak-kcm 6.2.5

=== debian/changelog ===
flatpak-kcm (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:06 +0100

flatpak-kcm (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:21:04 +0100

flatpak-kcm (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:22 +0100

flatpak-kcm (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:43:00 +0200

flatpak-kcm (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:38 +0200

flatpak-kcm (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:28 +0200

flatpak-kcm (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Add lintian override for systemsettings executable being in a different
    package, kde-config-flatpak does depend on it.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:15 +0200

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               libconfig-dev,
               libflatpak-dev,
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6itemmodels-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git

Package: kde-config-flatpak
Architecture: any
Depends: flatpak, systemsettings, ${misc:Depends}, ${shlibs:Depends},
Description: Flatpak permissions management KCM
 Plasma System Settings module for managinng Flatpak permissions.
 .
 The System Settings module allows users to changing what permissions have
 been granted to installed Flatpak applications.

## flatpak-kcm 6.2.90

=== debian/changelog ===
flatpak-kcm (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:58:10 +0000

flatpak-kcm (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:59:20 +0000

flatpak-kcm (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:12:17 +0000

flatpak-kcm (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:55:31 +0000

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               libconfig-dev,
               libflatpak-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm

Package: kde-config-flatpak
Architecture: any
Depends: flatpak, systemsettings, ${misc:Depends}, ${shlibs:Depends},
Description: Flatpak permissions management KCM
 Plasma System Settings module for managinng Flatpak permissions.
 .
 The System Settings module allows users to changing what permissions have
 been granted to installed Flatpak applications.

## flatpak-kcm 6.3.0

=== debian/changelog ===
flatpak-kcm (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:51:49 +0100

flatpak-kcm (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:50:17 +0100

flatpak-kcm (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:05:57 +0100

## flatpak-kcm 6.3.2

=== debian/changelog ===
flatpak-kcm (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:50:52 +0100

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               libconfig-dev,
               libflatpak-dev,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git

Package: kde-config-flatpak
Architecture: any
Depends: flatpak, systemsettings, ${misc:Depends}, ${shlibs:Depends},
Description: Flatpak permissions management KCM
 Plasma System Settings module for managinng Flatpak permissions.
 .
 The System Settings module allows users to changing what permissions have
 been granted to installed Flatpak applications.

## flatpak-kcm 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 project(flatpakkcm)
 
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -42,8 +42,8 @@
     ItemModels
 )
 
-ecm_set_disabled_deprecation_versions(QT 6.5
-    KF 5.240
+ecm_set_disabled_deprecation_versions(QT 6.8.1
+    KF 6.9.0
 )
 
 # Can't use regular KDE_INSTALL_FULL_LOCALSTATEDIR because it is wrong in developer setup.
@@ -79,4 +79,4 @@
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
flatpak-kcm (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:58:52 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                qt6-svg-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/flatpak-kcm
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm

## flatpak-kcm 6.3.5

=== debian/changelog ===
flatpak-kcm (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:43 +0100

flatpak-kcm (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:55 +0100

flatpak-kcm (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:15:49 +0000

flatpak-kcm (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:35:44 +0000

## flatpak-kcm 6.4.2

=== debian/changelog ===
flatpak-kcm (6.4.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 12:44:39 +0000

flatpak-kcm (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:50:57 +0000

flatpak-kcm (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:00:59 +0000

flatpak-kcm (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:38:15 +0000

flatpak-kcm (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:08:14 +0000

flatpak-kcm (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:23:18 +0000

flatpak-kcm (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:18:51 +0000

flatpak-kcm (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:20:44 +0000

flatpak-kcm (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:07:06 +0000

flatpak-kcm (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:38:38 +0000

flatpak-kcm (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:11:20 +0000

flatpak-kcm (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:44:12 +0000

flatpak-kcm (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:22:21 +0000

flatpak-kcm (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:14:27 +0000

flatpak-kcm (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:25:33 +0000

flatpak-kcm (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:29:47 +0000

flatpak-kcm (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:20:30 +0000

flatpak-kcm (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:37:41 +0000

flatpak-kcm (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:14:32 +0000

flatpak-kcm (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:48:05 +0000

flatpak-kcm (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:08:27 +0000

flatpak-kcm (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:25:00 +0000

flatpak-kcm (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:55:48 +0000

flatpak-kcm (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:21:00 +0000

flatpak-kcm (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:27:29 +0000

flatpak-kcm (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:09 +1000

flatpak-kcm (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:56:53 +0000

flatpak-kcm (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:05:57 +0000

flatpak-kcm (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 16:23:34 +0000

flatpak-kcm (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:26:46 +0000

flatpak-kcm (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:15:50 +0000

flatpak-kcm (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:43:24 +0000

flatpak-kcm (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:38:24 +0000

flatpak-kcm (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:18:35 +0000

flatpak-kcm (5.27.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:07:54 +0000

flatpak-kcm (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:39:13 +0000

flatpak-kcm (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:55:07 +0000

flatpak-kcm (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000

## flatpak-kcm 6.4.3

=== debian/changelog ===
flatpak-kcm (6.4.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 12:14:48 +0000

flatpak-kcm (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:19:55 +0000

## flatpak-kcm 6.4.4

=== debian/changelog ===
flatpak-kcm (6.4.4-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 13:55:57 +0000

flatpak-kcm (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:30:05 +0000

## flatpak-kcm 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 project(flatpakkcm)
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -43,7 +43,7 @@
 )
 
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.9.0
+    KF 6.10.0
 )
 
 # Can't use regular KDE_INSTALL_FULL_LOCALSTATEDIR because it is wrong in developer setup.

=== debian/changelog ===
flatpak-kcm (6.4.5-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 09:34:41 +0000

flatpak-kcm (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:47:47 +0000

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-kpackage-dev,
               libconfig-dev,
               libflatpak-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/flatpak-kcm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/flatpak-kcm
Maintainer: Neon CI <neon@kde.org>

Package: flatpak-kcm
Architecture: any
Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak Permissions Management
 Flatpak Permissions Management System Setting Module for Plasma

## flatpak-kcm 6.4.5+p24.04+vstable+git20251019.0244

=== debian/changelog ===
flatpak-kcm (6.4.5+p24.04+vstable+git20251019.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:44:10 +0000

## flatpak-kcm 6.4.5+p24.04+vstable+git20251020.0103

=== debian/changelog ===
flatpak-kcm (6.4.5+p24.04+vstable+git20251020.0103-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:03:34 +0000

## flatpak-kcm 6.4.91

=== debian/changelog ===
flatpak-kcm (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 11:57:44 +0200

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libconfig-dev,
               libflatpak-dev,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git

Package: kde-config-flatpak
Architecture: any
Depends: flatpak,
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Flatpak permissions management KCM
 Plasma System Settings module for managinng Flatpak permissions.
 .
 The System Settings module allows users to changing what permissions have
 been granted to installed Flatpak applications.

## flatpak-kcm 6.5.0

=== debian/changelog ===
flatpak-kcm (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:42 +0100

flatpak-kcm (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:43 +0100

flatpak-kcm (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flatpak-kcm
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -13,6 +14,7 @@
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
                libkf6itemmodels-dev (>= 6.18.0~),
                libkf6kcmutils-dev (>= 6.18.0~),
                libkf6service-dev (>= 6.18.0~),
@@ -23,11 +25,11 @@
                qt6-svg-dev (>= 6.9.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/flatpak-kcm
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/flatpak-kcm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/flatpak-kcm
 
 Package: kde-config-flatpak
 Architecture: any

## flatpak-kcm 6.5.0+p24.04+vstable+git20251021.0910

=== debian/changelog ===
flatpak-kcm (6.5.0+p24.04+vstable+git20251021.0910-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:10:22 +0000

flatpak-kcm (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:42:57 +0000

## flatpak-kcm 6.5.0+p24.04+vstable+git20251021.0934

=== debian/changelog ===
flatpak-kcm (6.5.0+p24.04+vstable+git20251021.0934-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:34:16 +0000

=== debian/control ===
Source: flatpak-kcm
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemmodels-dev,
               kf6-kpackage-dev,
               libconfig-dev,
               libflatpak-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/flatpak-kcm
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/flatpak-kcm.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/flatpak-kcm
Maintainer: Neon CI <neon@kde.org>

Package: flatpak-kcm
Architecture: any
Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends}
Description: Flatpak Permissions Management
 Flatpak Permissions Management System Setting Module for Plasma

## flatpak-kcm 6.5.1

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2023 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING)
    return()
endif()

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test)
include(ECMAddTests)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_test(NAME generate_overrides
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/fixtures/overrides.in ${CMAKE_CURRENT_BINARY_DIR}/fixtures/overrides
)

ecm_add_test(flatpakpermissiontest.cpp
    TEST_NAME flatpakpermissiontest
    LINK_LIBRARIES Qt6::Test kcm_flatpak_static
)
set_tests_properties(flatpakpermissiontest PROPERTIES
    ENVIRONMENT "LANGUAGE=fr"
    DEPENDS generate_overrides
    REQUIRED_FILES ${CMAKE_CURRENT_BINARY_DIR}/fixtures/overrides/org.gnome.dfeet
)

ecm_add_test(FlatpakSimpleEntryTest.cpp
    TEST_NAME FlatpakSimpleEntryTest
    LINK_LIBRARIES Qt6::Test kcm_flatpak_static)

ecm_add_test(flatpakfilesystemstest.cpp
    TEST_NAME flatpakfilesystemstest
    LINK_LIBRARIES Qt6::Test kcm_flatpak_static)

=== debian/changelog ===
flatpak-kcm (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:01 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_test:
#	xvfb-run -a dh_auto_test
	:

## flatpak-kcm 6.5.1+p24.04+vstable+git20251029.0811

=== debian/changelog ===
flatpak-kcm (6.5.1+p24.04+vstable+git20251029.0811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:11:38 +0000

flatpak-kcm (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:12:37 +0000

## flatpak-kcm 6.5.1+p24.04+vstable+git20251031.0937

=== debian/changelog ===
flatpak-kcm (6.5.1+p24.04+vstable+git20251031.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:37:32 +0000
